(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('ng-highlight-text', ['exports', '@angular/core'], factory) :
    (factory((global['ng-highlight-text'] = {}),global.ng.core));
}(this, (function (exports,core) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
     */
    var NgHighlightTextPipe = /** @class */ (function () {
        function NgHighlightTextPipe() {
        }
        /**
         * @param {?} text
         * @param {?=} searchTerm
         * @return {?}
         */
        NgHighlightTextPipe.prototype.transform = /**
         * @param {?} text
         * @param {?=} searchTerm
         * @return {?}
         */
            function (text, searchTerm) {
                /** @type {?} */
                var res;
                if (!text) {
                    return '';
                }
                if (searchTerm) {
                    text = String(text);
                    /** @type {?} */
                    var regx = new RegExp(searchTerm, 'gi');
                    /** @type {?} */
                    var match = text.match(regx);
                    if (match) {
                        /** @type {?} */
                        var matchString = match[0];
                        res = text.replace(regx, "<mark>" + matchString + "</mark>");
                    }
                    else {
                        res = text;
                    }
                    return res;
                }
                return text;
            };
        NgHighlightTextPipe.decorators = [
            { type: core.Pipe, args: [{ name: 'highlight' },] }
        ];
        return NgHighlightTextPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
     */
    var NgHighlightTextModule = /** @class */ (function () {
        function NgHighlightTextModule() {
        }
        NgHighlightTextModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [],
                        declarations: [NgHighlightTextPipe],
                        exports: [NgHighlightTextPipe]
                    },] }
        ];
        return NgHighlightTextModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
     */

    exports.NgHighlightTextPipe = NgHighlightTextPipe;
    exports.NgHighlightTextModule = NgHighlightTextModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=ng-highlight-text.umd.js.map