import { Pipe, NgModule } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
 */
var NgHighlightTextPipe = /** @class */ (function () {
    function NgHighlightTextPipe() {
    }
    /**
     * @param {?} text
     * @param {?=} searchTerm
     * @return {?}
     */
    NgHighlightTextPipe.prototype.transform = /**
     * @param {?} text
     * @param {?=} searchTerm
     * @return {?}
     */
    function (text, searchTerm) {
        /** @type {?} */
        var res;
        if (!text) {
            return '';
        }
        if (searchTerm) {
            text = String(text);
            /** @type {?} */
            var regx = new RegExp(searchTerm, 'gi');
            /** @type {?} */
            var match = text.match(regx);
            if (match) {
                /** @type {?} */
                var matchString = match[0];
                res = text.replace(regx, "<mark>" + matchString + "</mark>");
            }
            else {
                res = text;
            }
            return res;
        }
        return text;
    };
    NgHighlightTextPipe.decorators = [
        { type: Pipe, args: [{ name: 'highlight' },] }
    ];
    return NgHighlightTextPipe;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
 */
var NgHighlightTextModule = /** @class */ (function () {
    function NgHighlightTextModule() {
    }
    NgHighlightTextModule.decorators = [
        { type: NgModule, args: [{
                    imports: [],
                    declarations: [NgHighlightTextPipe],
                    exports: [NgHighlightTextPipe]
                },] }
    ];
    return NgHighlightTextModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
 */

export { NgHighlightTextPipe, NgHighlightTextModule };

//# sourceMappingURL=ng-highlight-text.js.map